picard.illumina.parser

## Class Tile

- java.lang.Object
- - picard.illumina.parser.Tile

-     public class Tile
      extends Object

  Represents a tile from TileMetricsOut.bin. Stores information on location (lane & tile #, density, number of clusters and the phasing/prephasing values associated with this tile

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tile(int lane, int tile, float density, float clusters, TilePhasingValue... tilePhasingValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getClusterCount()` Returns the number of on this tile.
    `float` | `getClusterDensity()` Returns the cluster density of this tile, in units of [cluster/mm^2].
    `int` | `getLaneNumber()` Returns the number of this tile's parent lane.
    `Map<TileTemplateRead,Float>` | `getPhasingMap()`
    `Map<TileTemplateRead,Float>` | `getPrePhasingMap()`
    `int` | `getTileNumber()` Returns the number/name of this tile.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tile

          public Tile(int lane,
                      int tile,
                      float density,
                      float clusters,
                      TilePhasingValue... tilePhasingValues)

      Parameters:
        `tilePhasingValues` - Either one or two TilePhasingValues, corresponding to the FIRST and potentially SECOND template reads

  - ### Method Detail

    - #### getLaneNumber

          public int getLaneNumber()

      Returns the number of this tile's parent lane.

    - #### getTileNumber

          public int getTileNumber()

      Returns the number/name of this tile.

    - #### getClusterDensity

          public float getClusterDensity()

      Returns the cluster density of this tile, in units of [cluster/mm^2].

    - #### getClusterCount

          public float getClusterCount()

      Returns the number of on this tile.

    - #### getPhasingMap

          public Map<TileTemplateRead,Float> getPhasingMap()

    - #### getPrePhasingMap

          public Map<TileTemplateRead,Float> getPrePhasingMap()